unit TestAppMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TMainForm = class(TForm)
    BtnLoadLib: TButton;
    BtnFreeLib: TButton;
    procedure BtnLoadLibClick(Sender: TObject);
    procedure BtnFreeLibClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

var
  TestLib: HINST;

procedure TMainForm.BtnLoadLibClick(Sender: TObject);
begin
  TestLib := LoadLibrary('TestLib.dll');
  if TestLib <> 0 then
  begin
    BtnLoadLib.Enabled := False;
    BtnFreeLib.Enabled := True;
  end
  else
    ShowMessage(SysErrorMessage(GetLastError));;
end;

procedure TMainForm.BtnFreeLibClick(Sender: TObject);
begin
  if TestLib <> 0 then
  begin
    FreeLibrary(TestLib);
    BtnLoadLib.Enabled := True;
    BtnFreeLib.Enabled := False;
  end;
end;

end.
